Stop a Real-time STT agent

Updated

Stops a Real-time STT task and leaves the channel.

POST
https://api.agora.io/api/speech-to-text/v1/projects/{appid}/agents/{agentId}/leave

Use this method to leave the channel and stop Real-time STT.

Path Parameters

appidstring
Required

The App ID of the project.

agentIdstring
Required

The unique identifier of the agent you received in the response body of the join method.

Response

  • If the returned status code is 200, the request was successful.

  • If the returned status code is not 200, the request failed.

Response Body

OK

Empty response body

Authorization

This endpoint requires authentication.

BasicAuth

Request examples

curl --request POST \  --url https://api.agora.io/api/speech-to-text/v1/projects/:appid/agents/:agentId/leave \  --header 'Authorization: Basic <credentials>'

Response example

Empty